Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/jdbc/ParametreDAOjdbc.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/jdbc/ParametreDAOjdbc.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/jdbc/ParametreDAOjdbc.java	(revision 70)
@@ -9,6 +9,4 @@
 import java.util.List;
 
-
-import org.medias.eccad.helpers.LoggerPerso;
 import org.medias.eccad.modele.Parametre;
 import org.medias.eccad.persistance.jdbc.SGBD_jdbc;
@@ -62,5 +60,5 @@
 		}
 		
-		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getListParametre::taille::"+liste_param.size());
+//		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getListParametre::taille::"+liste_param.size());
 
 		return liste_param;
@@ -84,11 +82,19 @@
 		try {
 			requete = conn.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
-			sql = "select distinct id_param, fullname_param, shortname_param, order_param from parametre join grille using (id_param) join produit using (id_produit) join typeproduit using (id_typeproduit) where id_categorieparametre= "+id_CatParam+" and name_typeproduit not ilike 'array' order by order_param;";
-			
+//			sql = "select distinct id_param, fullname_param, shortname_param, order_param from parametre" +
+//					" join grille using (id_param) join produit using (id_produit)" +
+//					" join typeproduit using (id_typeproduit)" +
+//					" where id_categorieparametre= "+id_CatParam+
+//					" and name_typeproduit not ilike 'array' order by order_param;";
+			sql = "select distinct id_param, fullname_param, shortname_param, order_param from parametre" +
+			" where id_param in (select id_param from grille join produit using (id_produit)" +
+			" join typeproduit using (id_typeproduit)" +
+			" where name_typeproduit not ilike 'array')" +
+			" and id_categorieparametre="+id_CatParam+" order by order_param;";
 			resultat = requete.executeQuery(sql);
 		
 			
 			while (resultat.next()) {
-				if (resultat.getString("shortname_param").equals("NULL"))
+				if (resultat.getString("shortname_param").equals("NULL") || resultat.getString("shortname_param").equals(""))
 					liste_param.add(new Parametre(resultat.getInt("id_param"), resultat.getString("fullname_param")));
 				else
@@ -103,5 +109,5 @@
 		}
 		
-		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getListParametre::taille::"+liste_param.size());
+//		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getListParametre::taille::"+liste_param.size());
 
 		return liste_param;
@@ -126,12 +132,17 @@
 		try {
 			requete = conn.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
-			sql = "select distinct id_param, fullname_param, shortname_param, order_param, shortName_unite from parametre join unite using (id_unite) where id_param = " + id_param + " order by order_param;";
-			LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "sql getParametreById="+sql);
+			sql = "select distinct id_param, fullname_param, shortname_param, order_param, shortName_unite, clm_default_id, scl_default_id" +
+					" from parametre p" +
+					" inner join unite using (id_unite)" +
+					" where id_param = " + id_param + " order by order_param;";
 			
 			ResultSet resultat = requete.executeQuery(sql);
 			
 			if (resultat.next()) {
-				param = new Parametre(resultat.getInt("id_param"), resultat.getString("fullname_param"), resultat.getString("shortname_param"),resultat.getString("order_param"));
+				param = new Parametre(resultat.getInt("id_param"), resultat.getString("fullname_param")
+						, resultat.getString("shortname_param"),resultat.getString("order_param"));
 				param.setUnite(resultat.getString("shortName_unite"));
+				param.setColormapDefault(resultat.getInt("clm_default_id"));
+				param.setClassdisDefault(resultat.getInt("scl_default_id"));
 			}
 		}
@@ -142,6 +153,6 @@
 			closeConnection();
 		}
-			
-		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getParametreById::nom::"+ param.getNom());
+
+//		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getParametreById::nom::"+ param.getNom());
 
 		return param;
@@ -159,5 +170,5 @@
 		try {
 			requete = conn.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
-			sql = "select distinct id_param, fullname_param, shortname_param, order_param, shortName_unite from parametre join grille using (id_param) join unite using (id_unite) where id_grille = " + id_grille + " order by order_param;";
+			sql = "select distinct id_param, fullname_param, shortname_param, order_param, shortname_unite from parametre join grille using (id_param) join unite using (id_unite) where id_grille = " + id_grille + " order by order_param;";
 			
 			ResultSet resultat = requete.executeQuery(sql);
@@ -168,6 +179,6 @@
 				String unite = null;
 				try {
-					 temp = resultat.getString("shortName_unite").getBytes("ISO-8859-1");
-				} catch (UnsupportedEncodingException e) {	}
+					 temp = resultat.getString("shortname_unite").getBytes("ISO-8859-1");
+				} catch (UnsupportedEncodingException e) {e.printStackTrace();}
 				
 				if (temp != null)
@@ -182,6 +193,6 @@
 			closeConnection();
 		}
-			
-		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getParametreById::nom::"+ param.getNom());
+
+//		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getParametreById::nom::"+ param.getNom());
 
 		return param;
@@ -213,6 +224,6 @@
 			closeConnection();
 		}
-			
-		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getParametreById::nom::"+ param.getNom());
+
+//		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getParametreById::nom::"+ param.getNom());
 
 		return param;
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/jdbc/ProduitDAOjdbc.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/jdbc/ProduitDAOjdbc.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/jdbc/ProduitDAOjdbc.java	(revision 70)
@@ -10,5 +10,4 @@
 
 import org.medias.eccad.helpers.CharactereHelper;
-import org.medias.eccad.helpers.LoggerPerso;
 import org.medias.eccad.modele.Produit;
 import org.medias.eccad.persistance.jdbc.SGBD_jdbc;
@@ -34,6 +33,5 @@
 		try {
 			requete = conn.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
-			sql = "select distinct id_produit, title_produit, begintime_produit, endtime_produit, header_produit from produit join grille using (id_produit) where id_param = " + id_param + ";";
-			
+			sql = "select distinct id_produit, title_produit, begintime_produit, endtime_produit, header_produit, order_produit from produit join grille using (id_produit) where id_param = " + id_param + " order by order_produit;";
 			ResultSet resultat = requete.executeQuery(sql);
 			
@@ -55,5 +53,4 @@
 		}
 		
-		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getListProduit::taille::"+liste_param.size()+"\nSQL::" + sql);
 		return liste_param;
 	}
@@ -89,5 +86,9 @@
 		try {
 			requete = conn.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
-			sql = "select distinct id_produit, title_produit, begintime_produit, endtime_produit, header_produit, temporalRes_produit, name_typeproduit from produit join typeproduit using (id_typeproduit) where id_produit = " + id_produit + ";";
+			sql = "select distinct id_produit, title_produit, begintime_produit" +
+					", endtime_produit, header_produit, temporalRes_produit, name_typeproduit" +
+					", textcitation_produit, useconst_produit, informpub_produit" +
+					" from produit join typeproduit using (id_typeproduit)" +
+					" where id_produit = " + id_produit + ";";
 			
 			ResultSet resultat = requete.executeQuery(sql);
@@ -101,4 +102,7 @@
 				produit.setTemporalres(CharactereHelper.getEncodage(resultat.getString("temporalRes_produit"), "ISO-8859-1"));
 				produit.setType(CharactereHelper.getEncodage(resultat.getString("name_typeproduit"), "ISO-8859-1"));
+				produit.setCitation(CharactereHelper.getEncodage(resultat.getString("textcitation_produit"), "ISO-8859-1"));
+				produit.setUseconst(CharactereHelper.getEncodage(resultat.getString("useconst_produit"), "ISO-8859-1"));
+				produit.setInformpub(CharactereHelper.getEncodage(resultat.getString("informpub_produit"), "ISO-8859-1"));
 			}
 		}
@@ -109,5 +113,5 @@
 			closeConnection();
 		}
-		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getProduitById::nom::"+ produit.getNom() + "::date::" + produit.getBeginDate());
+//		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getProduitById::nom::"+ produit.getNom() + "::date::" + produit.getBeginDate());
 
 		return produit;
@@ -122,5 +126,5 @@
 		try {
 			requete = conn.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
-			sql = "select distinct id_produit, title_produit, begintime_produit, endtime_produit, header_produit from produit join lienproduit using (id_produit) ";
+			sql = "select distinct id_produit, title_produit, begintime_produit, endtime_produit, header_produit from produit join lienproduit using (id_produit)";
 			
 			if (id_produit != null) {
@@ -149,5 +153,5 @@
 		}
 		
-		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getListProductByLink::taille::"+liste_produit.size());
+//		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "getListProductByLink::taille::"+liste_produit.size());
 		return liste_produit;
 	}
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/jdbc/SGBD_jdbc.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/jdbc/SGBD_jdbc.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/jdbc/SGBD_jdbc.java	(revision 70)
@@ -16,8 +16,8 @@
 	public SGBD_jdbc(InfoConnectBean n_info) {
 		con = null;
-		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "construction connection");
+//		LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "construction connection");
 		if (pooling == null) {
 			info = n_info;
-			LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "creation pooling :: " + info);
+//			LoggerPerso.log(SGBD_jdbc.class, LoggerPerso.DEBUG, "creation pooling :: " + info);
 			pooling = new PGPoolingDataSource();
 			pooling.setDatabaseName(info.getDb_name());
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/MainTest.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/MainTest.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/MainTest.java	(revision 70)
@@ -1,8 +1,6 @@
 package org.medias.eccad.persistance.test;
 
-import java.util.List;
 
 import org.medias.eccad.helpers.SpringBeanFactory;
-import org.medias.eccad.modele.Grille;
 import org.medias.eccad.persistance.exception.PersistanceException;
 import org.medias.eccad.persistance.jdbc.GrilleTestjdbc;
@@ -17,12 +15,12 @@
 		//system.out.println(System.currentTimeMillis());
 		GrilleTestjdbc grilletest = (GrilleTestjdbc) SpringBeanFactory.getXmlFactory("test").getBean("grilleDAO");
-		List<Grille> liste = grilletest.getListGrille(27,3, "2003-11-01", "2008-01-01");
+//		List<Grille> liste = grilletest.getListGrille(27,3, "2003-11-01", "2008-01-01");
 		//system.out.println(System.currentTimeMillis());
 		//system.out.println(liste.size());
 		grilletest.connection();
 		
-		for (Grille grille : liste) {
+//		for (Grille grille : liste) {
 			//grilletest.getGrilleValue(grille.getOid());
-		}
+//		}
 		//system.out.println(System.currentTimeMillis());
 		grilletest.disconnect();
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestMetierDessin.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestMetierDessin.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestMetierDessin.java	(revision 70)
@@ -1,8 +1,4 @@
 package org.medias.eccad.persistance.test;
 
-
-import org.medias.eccad.helpers.LoggerPerso;
-import org.medias.eccad.metier.ServiceMetier;
-import org.medias.eccad.modele.Zone;
 
 import junit.framework.TestCase;
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestPerformance.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestPerformance.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestPerformance.java	(revision 70)
@@ -1,10 +1,5 @@
 package org.medias.eccad.persistance.test;
 
-import java.sql.Date;
-import java.util.GregorianCalendar;
-import java.util.List;
-
 import org.medias.eccad.helpers.SpringBeanFactory;
-import org.medias.eccad.modele.Grille;
 import org.medias.eccad.persistance.exception.PersistanceException;
 import org.medias.eccad.persistance.jdbc.GrilleTestjdbc;
@@ -23,12 +18,12 @@
 		//system.out.println(System.currentTimeMillis());
 		GrilleTestjdbc grilletest = (GrilleTestjdbc) SpringBeanFactory.getXmlFactory("test").getBean("grilleDAO");
-		List<Grille> liste = grilletest.getListGrille(27,3, "2003-11-01", "2008-01-01");
+//		List<Grille> liste = grilletest.getListGrille(27,3, "2003-11-01", "2008-01-01");
 		//system.out.println(System.currentTimeMillis());
 		//system.out.println(liste.size());
 		grilletest.connection();
 		
-		for (Grille grille : liste) {
+//		for (Grille grille : liste) {
 			//grilletest.getGrilleValue(grille.getId_grille());
-		}
+//		}
 		//system.out.println(System.currentTimeMillis());
 		grilletest.disconnect();
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestServiceMetadata.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestServiceMetadata.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestServiceMetadata.java	(revision 70)
@@ -1,5 +1,3 @@
 package org.medias.eccad.persistance.test;
-
-import org.medias.eccad.metier.ServiceMetadata;
 
 import junit.framework.TestCase;
@@ -13,6 +11,6 @@
 
 	public void testGetXMLTransformResult() {
-		ServiceMetadata service_meta = new ServiceMetadata();
-			String xml = service_meta.getXmlMetadata(4);
+//		ServiceMetadata service_meta = new ServiceMetadata();
+//			String xml = service_meta.getXmlMetadata(4);
 		//system.out.println(xml);
 		//system.out.println(service_meta.getXMLTransformResult(xml, "metadata.xslt"));
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestXmlDAOhibernate.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestXmlDAOhibernate.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/persistance/test/TestXmlDAOhibernate.java	(revision 70)
@@ -1,6 +1,4 @@
 package org.medias.eccad.persistance.test;
 
-import org.medias.eccad.persistance.dao.XmlDAO;
-import org.medias.eccad.persistance.hibernate.XmlDAOhibernate;
 
 import junit.framework.TestCase;
@@ -13,5 +11,5 @@
 
 	public void testGetXmlByProduit() {
-		XmlDAO xmldao = new XmlDAOhibernate();
+//		XmlDAO xmldao = new XmlDAOhibernate();
 		//system.out.println(xmldao.getXmlByProduit(4));
 	}
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/AbstractVueBean.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/AbstractVueBean.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/AbstractVueBean.java	(revision 70)
@@ -10,21 +10,22 @@
 	 */
 	protected void controleSession() {
-		if (FacesContext.getCurrentInstance() == null)
+		if (FacesContext.getCurrentInstance() == null) {
 			throw new DeconnectionException();
-		
-		if (FacesContext.getCurrentInstance().getExternalContext() == null)
+		}
+		if (FacesContext.getCurrentInstance().getExternalContext() == null) {
 			throw new DeconnectionException();
-		
-		if ((HttpSession)FacesContext.getCurrentInstance().getExternalContext().getSession(false) == null)
+		}
+		if ((HttpSession)FacesContext.getCurrentInstance().getExternalContext().getSession(false) == null) {
 			throw new DeconnectionException();
-		
+		}
 		
 		SessionBean sessionbean = (SessionBean)((HttpSession)FacesContext.getCurrentInstance().getExternalContext().getSession(false)).getAttribute("sessionBean");
 		
-		if (sessionbean == null)
+		if (sessionbean == null) {
 			throw new DeconnectionException();
-		
-		if (sessionbean.getEmail() == null || sessionbean.getEmail() == "")
+		}
+		if (sessionbean.getEmail() == null || sessionbean.getEmail() == "") {
 			throw new DeconnectionException();
+		}
 	}
 }
